import "./chat.css";
/* script */
//
//
//
//
//
//
//
//
//
//
//
//
//
import { componentMixin, createComponentName } from '../../utils/base';
import udesk from '../udesk';
import Badge from '../badge';
import quickItem from './quick-item';
const __vue_script__ = {
  name: createComponentName('quick-link-chat'),
  components: {
    udesk,
    Badge,
    quickItem
  },
  mixins: [componentMixin],
  props: {
    // udesk 配置
    config: {
      type: Object,

      default() {
        return {};
      }

    }
  }
};
/* template */

var __vue_render__ = function () {
  var _vm = this;

  var _h = _vm.$createElement;

  var _c = _vm._self._c || _h;

  return _c("quick-item", [_c("udesk", {
    attrs: {
      config: _vm.config
    },
    scopedSlots: _vm._u([{
      key: "default",
      fn: function (ref) {
        var label = ref.label;
        var unread = ref.unread;
        return _c("div", {
          class: _vm.bem()
        }, [_c("badge", {
          attrs: {
            value: unread,
            "is-dot": ""
          }
        }, [_c("div", {
          class: _vm.bem("icon")
        })]), _vm._v(" "), _c("span", [_vm._v(_vm._s((label || "在线客服") === "在线客服" ? "客服" : "留言"))])], 1);
      }
    }])
  })], 1);
};

var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;
/* style */

const __vue_inject_styles__ = undefined;
/* scoped */

const __vue_scope_id__ = undefined;
/* module identifier */

const __vue_module_identifier__ = undefined;
/* functional template */

const __vue_is_functional_template__ = false;
/* component normalizer */

import __vue_normalize__ from '../../utils/vue-normalize-component.js';
/* style inject */

/* style inject SSR */

export default __vue_normalize__({
  render: __vue_render__,
  staticRenderFns: __vue_staticRenderFns__
}, __vue_inject_styles__, __vue_script__, __vue_scope_id__, __vue_is_functional_template__, __vue_module_identifier__, undefined, undefined);